package com.patzn.lims.drug.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.drug.entity.DrugItemOperation;

/**
 * <p>
 * 食药检测项目操作表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface IDrugItemOperationService extends IBaseService<DrugItemOperation> {

    Page<DrugItemOperation> page(Page<DrugItemOperation> page, DrugItemOperation drugItemOperation);

    boolean writeTester(Long[] itemIds, Account account);

    boolean writeChecker(Long[] ids, Account account);

    boolean writeAuditor(Long[] ids, Account account);
}
